summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNed Batchelder <ned@nedbatchelder.com>2020-11-29 09:07:35 -0500
committerNed Batchelder <ned@nedbatchelder.com>2020-11-29 09:14:00 -0500
commitaa1726875dabaa1fd1d88fc930a3555a435571b2 (patch)
treed04277d5ecb057ee5adae8d9d0e457c6c7ddd7de
parenta4cf33437a2f07355f7b55464a2f07f6bce0ff1f (diff)
downloadpython-coveragepy-git-aa1726875dabaa1fd1d88fc930a3555a435571b2.tar.gz
Turn off bash -eo pipefail
-rw-r--r--.github/workflows/testsuite.yml18
1 files changed, 14 insertions, 4 deletions
diff --git a/.github/workflows/testsuite.yml b/.github/workflows/testsuite.yml
index 5422e581..034ad3b9 100644
--- a/.github/workflows/testsuite.yml
+++ b/.github/workflows/testsuite.yml
@@ -12,7 +12,11 @@ on:
defaults:
run:
- shell: bash
+ # The default shell is:
+ # bash --noprofile --norc -eo pipefail {0}
+ # which makes it hard to do our own status checking.
+ # Turn off -eo pipefail
+ shell: bash --noprofile --norc {0}
jobs:
tests:
@@ -63,9 +67,11 @@ jobs:
id: tox1
run: |
python -m tox
- if [ $? -ne 0 ]; then
+ tox_status=$?
+ if [ $tox_status -ne 0 ]; then
# https://github.community/t/annotations-how-to-create-them/18387
echo "::warning file=testsuite.yml,line=1,col=1::tox failed, retrying..."
+ exit $tox_status
fi
- name: "Retry tox for ${{ matrix.python-version }}"
@@ -73,8 +79,10 @@ jobs:
if: steps.tox1.outcome == 'failure'
run: |
python -m tox
- if [ $? -ne 0 ]; then
+ tox_status=$?
+ if [ $tox_status -ne 0 ]; then
echo "::warning file=testsuite.yml,line=1,col=1::tox failed again, retrying..."
+ exit $tox_status
fi
- name: "Retry tox again for ${{ matrix.python-version }}"
@@ -82,8 +90,10 @@ jobs:
if: steps.tox2.outcome == 'failure'
run: |
python -m tox
- if [ $? -ne 0 ]; then
+ tox_status=$?
+ if [ $tox_status -ne 0 ]; then
echo "::error file=testsuite.yml,line=1,col=1::tox failed a third time, probably a real failure"
+ exit $tox_status
fi
- name: "Set status"